Update Brand Metafield
Updates a brand metafield.
Required Fields
- none
Read-Only Fields
- id
- These fields can only be modified by the app (API credentials) that created the metafield:
- namespace
- key
- permission_set
Usage Notes
- Attempting to modify
namespace,key, andpermission_setfields using a client ID different from the one used to create those metafields will result in a 403 error message. - The maximum number of metafields allowed on each order, product, category, variant, or brand is 250 per client ID. For more information, see Platform Limits in the Help Center.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
brand_id
The ID of the brand to which the resource belongs.
metafield_id
The ID of the Metafield.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects an object.
permission_set
Determines the visibility and writeability of the field by other API consumers.
Allowed values:
namespace
Namespace for the metafield, for organizational purposes.
key
The name of the field, for example: location_id, color.
value
The value of the field, for example: 1, blue.
description
Description for the metafields.
Response
OK
data
meta
Response metadata.
Errors
400
Bad Request Error
404
Not Found Error